
package de.ivu.elect.presentation.staat.menu;

import javax.inject.Inject;

import de.ivu.elect.business.staat.entity.StaatenGruppeMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.staat.exchange.StaatenGruppeImportDescription;

public class StaatenGruppeImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient StaatenGruppeMeta staatenGruppeMeta;

  @Inject
  private transient StaatenGruppeImportDescription importDescription;

  public StaatenGruppeImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return staatenGruppeMeta;
  }
}
